package atomicwheel.util;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * {@link CollectionMap} containing a {@link List} of elements.
 * 
 * @param <K>
 *            key type
 * @param <V>
 *            value type
 * 
 * @author matthias
 */
public class ListMap<K, V> extends CollectionMap<K, V, List<V>> implements
		Serializable {
	private static final long serialVersionUID = 1L;

	@Override
	protected List<V> createCollection() {
		return new ArrayList<V>();
	}
}
